picard.cmdline

## Class CommandLineDefaults

- java.lang.Object
- - picard.cmdline.CommandLineDefaults

-     public class CommandLineDefaults
      extends Object

  Embodies defaults for global values that affect how the Picard Command Line operates. Defaults are encoded in the class and are also overridable using system properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `COLOR_STATUS` Implementation note, this is duplicate code stolen from HTSJDK's Default.java /** Decides if we want to write colors to the terminal.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandLineDefaults()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLOR_STATUS

          public static final boolean COLOR_STATUS

      Implementation note, this is duplicate code stolen from HTSJDK's Default.java /** Decides if we want to write colors to the terminal.

  - ### Constructor Detail

    - #### CommandLineDefaults

          public CommandLineDefaults()